%define upstream_name    IO-Prompt-Tiny
%define upstream_version 0.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Prompt for user input with a default option
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is an extremely simple prompting module, based on the extremely simple
prompt offered by the ExtUtils::MakeMaker manpage.In many cases, that's all
you need and this module gives it to you without all the overhead of
ExtUtils::MakeMaker just to prompt for input.

It doesn't do any validation, coloring, menus, timeouts, or any of the
wild, crazy, cool stuff that other prompting modules do. It just prompts
with a default. That's it!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README.PATCHING META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 368532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 304241
- imported package perl-IO-Prompt-Tiny

